Summary:	POSIX-compliant implementation of /bin/sh
Summary(pl.UTF-8):	Zgodna z POSIX implementacja /bin/sh
Name:		dash
Version:	0.5.12
Release:	1
License:	GPL v2+
Group:		Applications/Shells
Source0:	http://gondor.apana.org.au/~herbert/dash/files/%{name}-%{version}.tar.gz
# Source0-md5:	57222b768b84003ea4b801e5d5e0e52b
URL:		http://gondor.apana.org.au/~herbert/dash/
Requires(post):	grep
Requires(preun):	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir			/bin
%define		_shell			%{_bindir}/%{name}

%description
DASH is a POSIX-compliant implementation of /bin/sh that aims to be as
small as possible. It does this without sacrificing speed where
possible. In fact, it is significantly faster than bash (the GNU
Bourne-Again SHell) for most tasks.

DASH is a direct descendant of the NetBSD version of ash (the Almquist
SHell)

%description -l pl.UTF-8
DASH to zgodna z POSIX implementacja /bin/sh, której celem jest jak
najmniejszy rozmiar. Dokonano tego bez poświęcania szybkości tam,
gdzie to możliwe. W rzeczywistości dash jest znacząco szybszy od basha
(GNU Bourne-Again SHell) przy większości zadań.

DASH to bezpośredni następca wersji NetBSD asha (powłoki Almquist
SHell).

%prep
%setup -q

%build
%configure
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p %add_etc_shells -p /bin/dash
%preun	-p %remove_etc_shells -p /bin/dash

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dash
%{_mandir}/man1/dash.1*
%changelog
* Tue Dec 20 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dash.git;a=log;h=master

* Tue Dec 20 2022 Jan Palus <atler@pld-linux.org> 4e10d2d
- up to 0.5.12

* Fri Oct 01 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> 7128a3b
- Up to 0.5.11.5

* Mon Jun 21 2021 Jan Palus <atler@pld-linux.org> b95955e
- up to 0.5.11.4

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 5e85fcf
- up to 0.5.11.3

* Sun Sep 13 2020 Jan Palus <atler@pld-linux.org> aa3956b
- up to 0.5.11.2

* Sun Jul 12 2020 Jan Palus <atler@pld-linux.org> 1534cd0
- up to 0.5.11.1

* Sun Jul 05 2020 Jan Palus <atler@pld-linux.org> 0229dd2
- up to 0.5.11

* Mon May 18 2020 Jan Palus <atler@pld-linux.org> 4eb40df
- up to 0.5.10.2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 78f58ca
- x32 rebuild
- release 2 (by relup.sh)

* Sun Oct 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 04cc3a1
- updated to 0.5.8
- added format patch (fixes build with -Werror=format-security)

* Thu Aug 30 2012 Jakub Bogusz <qboosh@pld-linux.org> fdc949b
- pl fix

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 35674bc
- up to 0.5.7

* Wed May 18 2011 Kacper Kornet <draenog@pld-linux.org> 52d0c64
- up to 0.5.6.1

* Sun Aug 30 2009 Bartłomiej Zimoń <cactus@pld-linux.org> a8525a3
- up to 0.5.5.1; drop debian patch

* Fri May 09 2008 Jakub Bogusz <qboosh@pld-linux.org> f8ca40c
- unified

* Thu May 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f0abfc4
- rel 2; upstream fixes that are in debian patch

* Thu May 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 87dbe79
- new

* Sun Sep 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f2d7d0c
- up to 0.5.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5b08424
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 26d3b2f
- converted to UTF-8

